seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/09/19, 20:38:45


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: ATTENTION: Qt 5.10 transition ahead  (Read 6381 times)

0 Members and 1 Guest are viewing this topic.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.436
ATTENTION: Qt 5.10 transition ahead
« on: 2018/03/29, 13:49:35 »
Today Plasma 5.12.4 is coming in - no problems there. But the Qt 5.10 transition is starting soon and it will for sure try to wreak havoc within your installed package base. So be careful with the trigger finger. Read what apt has to say.

Heute konnt Plasma 5.12.4 nach Sid - ohne Probleme. Aber die Qt 5.10 Transition steht kurz bevor und wird vermutlich viele Pakete entfernen wollen. Also seid wachsam. Lest die Ausgabe von apt.

Offline Taliesin

  • User
  • Posts: 67
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #1 on: 2018/04/01, 06:33:09 »
Hi Devil,

Thanks for the heads up.

I just ran an update and noticed that 36 packages were to be removed, so did not go ahead with a dist-upgrade.

Now I know what's happening.

Cheers.

Offline manilg

  • User
  • Posts: 222
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #2 on: 2018/04/03, 08:16:53 »
Code: [Select]
Die folgenden Pakete werden ENTFERNT:
  kio-smtp libenchant-dev libetonyek-dev libglib2.0-dev libkf5akonadicalendar5 libkf5akonadicore5 libkf5akonadiwidgets5 libkf5calendarsupport5 libkf5gravatar5 libkf5incidenceeditor5 libkf5mailcommon5 libkf5mime5
  libkf5pimcommon5 libkf5pimtextedit5 libkolab1 libkpimkdav5 liblangtag-dev
Die folgenden NEUEN Pakete werden installiert:
  libkf5akonadi-data libkf5akonadicalendar-data libkf5akonadicalendar5abi1 libkf5akonadicore5abi1 libkf5akonadiprivate5abi1 libkf5akonadiwidgets5abi1 libkf5calendarsupport5abi1 libkf5gravatar-data libkf5gravatar5abi1
  libkf5incidenceeditor-data libkf5incidenceeditor5abi1 libkf5mailcommon-data libkf5mailcommon5abi1 libkf5mime-data libkf5mime5abi1 libkf5pimcommon-data libkf5pimcommon5abi1 libkf5pimtextedit-data libkf5pimtextedit-plugins
  libkf5pimtextedit5abi1 libkpimgapiblogger5 libkpimkdav-data libkpimkdav5abi1 libkpimsmtp5


von den -dev Datein abgesehen, werden hier die zu entfernenden Pakete nicht durch die neuen ersetzt?

Gruss

manilg


Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.033
    • Land of the Buckeye
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #3 on: 2018/04/03, 12:00:33 »
Ja / Yes.  Full-upgrade just completed successfully on two KDE systems.  11 packages are removed (KDE PIM and akonadi and -dev), but the plasma desktop is fully functional after the reboot (there's a new kernel).  There is a bug warning about the gnome-shell-something-server that looks serious, so pay attention to the apt messages.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline manilg

  • User
  • Posts: 222
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #4 on: 2018/04/03, 12:53:14 »
After dist-upgrade no problems here.
manilg

Offline zash1958

  • User
  • Posts: 83
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #5 on: 2018/04/04, 10:25:51 »
Code: [Select]
Die folgenden Pakete werden ENTFERNT:
  kio-smtp libglib2.0-dev libkf5akonadicalendar5 libkf5akonadicore5 libkf5akonadiwidgets5 libkf5calendarsupport5 libkf5gravatar5 libkf5incidenceeditor5
  libkf5mailcommon5 libkf5mime5 libkf5pimcommon5 libkf5pimtextedit5 libkolab1 libkpimkdav5 libsoup-gnome2.4-dev libsoup2.4-dev


Ich denke mal, für die user von K-Mail & Co heisst das noch, die Füße stillzuhalten?

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.033
    • Land of the Buckeye
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #6 on: 2018/04/04, 10:43:10 »
No.  Those packages will be replaced during the full-upgrade.

Code: [Select]
root@hp-350g:/# apt depends kmail | grep libkf5mailcommon*

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

  Depends: libkf5mailcommon5abi1 (>= 4:17.12.2)

EDIT:  I cannot guarantee that kmail and akonadi are working correctly because I do not use them.  But the old packages are replaced with different package names in the upgrade.
« Last Edit: 2018/04/04, 10:48:56 by dibl »
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline zash1958

  • User
  • Posts: 83
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #7 on: 2018/04/04, 10:45:01 »
Wird kio-smtp nicht für das Versenden von Mails gebraucht?

Offline zash1958

  • User
  • Posts: 83
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #8 on: 2018/04/04, 12:22:43 »
Code: [Select]
apt install kio-smtp
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paket kio-smtp ist nicht verfügbar, wird aber von einem anderen Paket
referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst
wurde oder nur aus einer anderen Quelle verfügbar ist.
Doch die folgenden Pakete ersetzen es:
  libkf5mailtransport-data

Hiermit Entwarnung......
« Last Edit: 2018/04/04, 13:14:31 by zash1958 »

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.436
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #9 on: 2018/04/04, 23:34:07 »
Nein, da kommt noch mehr.

Offline bluelupo

  • Global Moderator
  • User
  • *****
  • Posts: 2.066
    • BluelupoMe
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #10 on: 2018/04/06, 09:02:16 »
13 Pakete sollen noch gelöscht werden. Kann man die ziehen lassen oder ist noch warten angesagt?


Code: [Select]
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  kde-baseapps-data kde-games-core-declarative kdepasswd libadns1 libdns-export169 libdns169 libgltf-0.1-1
  libgoocanvas-common libgoocanvas3 libguess1 libical2 libisc-export166 libisc-export189 libisc166
  libkdegames6abi1 libkf5akonadiprivate5 libkf5calendarcore5 libkf5gapi-data libkf5gpgmepp-pthread5
  libkf5gpgmepp5 libkf5incidenceeditor-bin libkf5kdgantt2-5 libkf5kipi-bin libkf5mailcommon-plugins
  libkf5pimcommon-plugins libkf5qgpgme5 libkf5webkit5 libkonq-common libkonq5-templates libkonq5abi1
  libkonqsidebarplugin4a libkprintutils4 liblegacytaskmanager5 libmysqlclient18 libokularcore7 libopencv-ocl2.4v5
  libopencv-ts2.4v5 libphysfs1 libplacebo2 libplacebo3 libpoppler72 libproj12 libqimageblitz4 libqpdf18
  libqt5clucene5 libqt5designercomponents5 libre2-3 libspeechd2 libtesseract-data libxfont1 mariadb-common
  python-cairo python-mlt python-olefile python-pip-whl python-xdg python3-olefile python3-pip qt5-assistant
  qttools5-dev-tools
Verwenden Sie »apt autoremove«, um sie zu entfernen.
Die folgenden Pakete werden ENTFERNT:
  kio-smtp libkf5akonadicalendar5 libkf5akonadicore5 libkf5akonadiwidgets5 libkf5calendarsupport5 libkf5gravatar5
  libkf5incidenceeditor5 libkf5mailcommon5 libkf5mime5 libkf5pimcommon5 libkf5pimtextedit5 libkolab1 libkpimkdav5
Die folgenden NEUEN Pakete werden installiert:
  libdns-export1100 libisc-export169 libkf5akonadi-data libkf5akonadicalendar-data libkf5akonadicalendar5abi1
  libkf5akonadicore5abi1 libkf5akonadiprivate5abi1 libkf5akonadiwidgets5abi1 libkf5calendarcore5abi1
  libkf5calendarsupport5abi1 libkf5gravatar-data libkf5gravatar5abi1 libkf5incidenceeditor-data
  libkf5incidenceeditor5abi1 libkf5mailcommon-data libkf5mailcommon5abi1 libkf5mime-data libkf5mime5abi1
  libkf5pimcommon-data libkf5pimcommon5abi1 libkf5pimtextedit-data libkf5pimtextedit-plugins
  libkf5pimtextedit5abi1 libkpimkdav-data libkpimkdav5abi1 libkpimsmtp5
  linux-headers-4.16.0-towo.1-siduction-amd64 linux-image-4.16.0-towo.1-siduction-amd64
Die folgenden Pakete sind zurückgehalten worden:
  sddm
Die folgenden Pakete werden aktualisiert (Upgrade):
  accountwizard akonadi-backend-mysql akonadi-contacts-data akonadi-mime-data akonadi-server akonadiconsole bash
  bash-completion binutils binutils-common binutils-x86-64-linux-gnu blender blender-data console-setup
  console-setup-linux cpp-7 cups cups-browsed cups-bsd cups-client cups-common cups-core-drivers cups-daemon
  cups-filters cups-filters-core-drivers cups-ipp-utils cups-ppdc cups-server-common default-jre-headless
  desktop-file-utils fonts-opensymbol g++-7 gcc-7 gcc-7-base gcc-8-base git git-man grub-common
  grub-efi-amd64-bin grub-efi-ia32-bin grub-pc grub-pc-bin grub2-common gstreamer1.0-plugins-good
  gstreamer1.0-pulseaudio gtk-update-icon-cache hdparm hunspell-en-gb hunspell-it hunspell-pl hunspell-pt-br
  isc-dhcp-client java-common kaddressbook kde-baseapps kde-config-mailtransport kde-plasma-desktop kdepim-addons
  kdepim-runtime keyboard-configuration kf5-kdepim-apps-libs-data kf5-messagelib-data kio kio-ldap kio-sieve
  kleopatra kmail kontact korganizer libappstream4 libappstreamqt2 libasan4 libatomic1 libbinutils libbluray2
  libcc1-0 libcddb2 libcilkrts5 libcups2 libcupscgi1 libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1
  libexif12 libfontembed1 libgcc-7-dev libgcc1 libgfortran4 libglib2.0-0 libglib2.0-bin libglib2.0-data
  libglibmm-2.4-1v5 libgomp1 libgtk-3-0 libgtk-3-common libipc-run-perl libitm1 libkf5akonadiagentbase5
  libkf5akonadicontact5 libkf5akonadimime5 libkf5akonadinotes5 libkf5akonadisearch-bin libkf5akonadisearch-data
  libkf5akonadisearch-plugins libkf5akonadisearchcore5 libkf5akonadisearchdebug5 libkf5akonadisearchpim5
  libkf5akonadisearchxapian5 libkf5akonadixml5 libkf5alarmcalendar5 libkf5calendarsupport-data
  libkf5calendarutils5 libkf5contacteditor5 libkf5contacts-data libkf5contacts5 libkf5eventviews-data
  libkf5eventviews5 libkf5followupreminder5 libkf5gapi-data libkf5grantleetheme-plugins libkf5grantleetheme5
  libkf5identitymanagement5 libkf5imap5 libkf5incidenceeditor-bin libkf5kaddressbookgrantlee5
  libkf5kaddressbookimportexport5 libkf5kdepimdbusinterfaces5 libkf5kiocore5 libkf5kiofilewidgets5 libkf5kiogui5
  libkf5kiontlm5 libkf5kiowidgets5 libkf5kmanagesieve5 libkf5kontactinterface-data libkf5kontactinterface5
  libkf5ksieve-data libkf5ksieve5 libkf5ksieveui5 libkf5ldap5 libkf5libkdepim-data libkf5libkdepim-plugins
  libkf5libkdepim5 libkf5libkdepimakonadi5 libkf5libkleo-data libkf5libkleo5 libkf5mailcommon-plugins
  libkf5mailimporter5 libkf5mailtransport-data libkf5mailtransport5 libkf5mailtransportakonadi5 libkf5mbox5
  libkf5messagecomposer5 libkf5messagecore5 libkf5messagelist5 libkf5messageviewer5 libkf5mimetreeparser5
  libkf5pimcommon-plugins libkf5pimcommonakonadi5 libkf5sendlater5 libkf5templateparser5 libkf5tnef5
  libkf5webengineviewer5 libkpimgapi-data libkpimgapicalendar5 libkpimgapicontacts5 libkpimgapicore5
  libkpimgapitasks5 libkpimimportwizard5 liblsan0 libmpx2 libnss-myhostname libopenimageio1.8 libopenvdb5.0
  libpam-systemd libprocps6 libproj13 libpulse-mainloop-glib0 libpulse0 libpulsedsp libpython2.7
  libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib libpython3.6 libpython3.6-minimal
  libpython3.6-stdlib libquadmath0 libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base
  libreoffice-base-core libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core
  libreoffice-draw libreoffice-gtk2 libreoffice-help-de libreoffice-impress libreoffice-java-common
  libreoffice-l10n-de libreoffice-math libreoffice-pdfimport libreoffice-report-builder-bin
  libreoffice-style-breeze libreoffice-style-galaxy libreoffice-style-tango libreoffice-writer libruby2.5
  libsnmp-base libsnmp30 libsqlite3-0 libstdc++-7-dev libstdc++6 libsystemd0 libtsan0 libubsan0 libudev1
  libva-drm2 libva-wayland2 libva-x11-2 libva2 linux-headers-siduction-amd64 linux-image-siduction-amd64 man-db
  mkvtoolnix openjdk-9-jre-headless openssh-client openssh-server openssh-sftp-server procps proj-data pulseaudio
  pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-module-zeroconf pulseaudio-utils python-gdbm
  python-lxml python-pkg-resources python2.7 python2.7-minimal python3 python3-certifi python3-distutils
  python3-lib2to3 python3-minimal python3-pkg-resources python3-uno python3.6 python3.6-minimal ruby-did-you-mean
  ruby2.5 systemd systemd-container systemd-coredump systemd-sysv udev uno-libs3 ure weechat-core weechat-curses
  weechat-perl weechat-plugins weechat-python weechat-ruby
267 aktualisiert, 28 neu installiert, 13 zu entfernen und 1 nicht aktualisiert.
Es müssen 392 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 352 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] n
Abbruch.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.436
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #11 on: 2018/04/06, 10:24:58 »
Die können weg.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.436
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #12 on: 2018/04/06, 19:29:11 »

Offline graviton

  • User
  • Posts: 49
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #13 on: 2018/04/08, 07:56:32 »
The transition is currently running!

graviton

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.787
  • we are the priests ... of the temples of syrinx
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #14 on: 2018/04/08, 15:08:11 »
What it's looking like so far:

09:08:3109:08 AM [piper@x1 ~] apt update; apt full-upgrade

Code: [Select]
The following packages will be REMOVED:
  ark breeze cervisia dolphin dolphin-plugins gwenview k3b k3b-i18n kactivitymanagerd kate kcachegrind kcalc kde-baseapps kde-baseapps-bin
  kde-cli-tools kde-config-gtk-style kde-config-screenlocker kde-config-sddm kde-plasma-desktop kde-spectacle kde-style-oxygen-qt5 kdeadmin
  kdesdk keditbookmarks kfind kinfocenter kio-extras kmenuedit kmix kolourpaint kolourpaint4 kompare konq-plugins konqueror konsole
  konsole-kpart konversation kpart5-kompare kpartloader kpat kross kscreen ksysguard ksystemlog ktexteditor-katepart ktorrent kuiviewer
  kwin-addons kwin-common kwin-dev kwin-x11 kwrite libcolorcorrect5 libk3b7 libk3b7-extracodecs libkasten3controllers3 libkasten3gui3
  libkasten3okteta1controllers1 libkasten3okteta1gui1 libkf5bookmarks5 libkf5declarative5 libkf5kcmutils5 libkf5kdegames7
  libkf5kdelibs4support5 libkf5kdelibs4support5-bin libkf5khtml-bin libkf5khtml5 libkf5kiofilewidgets5 libkf5kipi32.0.0 libkf5konq6
  libkf5krossui5 libkf5newstuff5 libkf5parts-plugins libkf5parts5 libkf5plasma-dev libkf5plasma5 libkf5plasmaquick5 libkf5purpose-bin
  libkf5purpose5 libkf5quickaddons5 libkf5runner5 libkf5texteditor5 libkf5webkit5 libkf5xmlgui5 libkomparediff2-5 libkscreenlocker5
  libkwin4-effect-builtins1 libokular5core8 libpowerdevilcore2 libqt5webengine5 libqt5webenginecore5 libqt5webenginewidgets5 libweather-ion7
  lokalize milou okteta okular okular-extra-backends plasma-dataengines-addons plasma-desktop plasma-framework plasma-integration plasma-pa
  plasma-runners-addons plasma-wallpapers-addons plasma-widgets-addons plasma-workspace powerdevil qml-module-org-kde-draganddrop
  qml-module-org-kde-kcm qml-module-org-kde-kconfig qml-module-org-kde-kcoreaddons qml-module-org-kde-kio qml-module-org-kde-kquickcontrols
  qml-module-org-kde-kquickcontrolsaddons qml-module-org-kde-kwindowsystem qml-module-org-kde-purpose sddm-theme-breeze
  sddm-theme-debian-breeze systemsettings umbrello yakuake
The following NEW packages will be installed:
  libqt5multimediagsttools5 libqt5multimediaquick5
The following packages will be upgraded:
  debhelper libnspr4 libnss3 libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5designer5 libqt5designercomponents5 libqt5gui5 libqt5help5
  libqt5multimedia5 libqt5multimedia5-plugins libqt5multimediawidgets5 libqt5network5 libqt5opengl5 libqt5positioning5 libqt5printsupport5
  libqt5qml5 libqt5quick5 libqt5quickcontrols2-5 libqt5quickparticles5 libqt5quicktemplates2-5 libqt5quicktest5 libqt5quickwidgets5
  libqt5script5 libqt5scripttools5 libqt5sensors5 libqt5sql5 libqt5sql5-mysql libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5webchannel5
  libqt5webkit5 libqt5widgets5 libqt5x11extras5 libqt5x11extras5-dev libqt5xml5 libqt5xmlpatterns5 libqt5xmlpatterns5-dev moreutils
  qdbus-qt5 qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtgraphicaleffects qml-module-qtmultimedia
  qml-module-qtqml-models2 qml-module-qtquick-controls qml-module-qtquick-controls2 qml-module-qtquick-dialogs qml-module-qtquick-layouts
  qml-module-qtquick-privatewidgets qml-module-qtquick-templates2 qml-module-qtquick-window2 qml-module-qtquick2 qml-module-qtwebkit
  qt5-assistant qt5-default qt5-qmake qt5-qmake-bin qt5-qmltooling-plugins qtbase5-dev qtbase5-dev-tools qtdeclarative5-dev qtscript5-dev
  qttools5-dev-tools
66 upgraded, 2 newly installed, 122 to remove and 0 not upgraded.
Need to get 41.5 MB of archives.
After this operation, 412 MB disk space will be freed.

apt upgrade -s

Code: [Select]
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5designer5 libqt5designercomponents5 libqt5gui5 libqt5help5 libqt5multimedia5
  libqt5multimedia5-plugins libqt5multimediawidgets5 libqt5network5 libqt5opengl5 libqt5positioning5 libqt5printsupport5 libqt5qml5
  libqt5quick5 libqt5quickcontrols2-5 libqt5quickparticles5 libqt5quicktemplates2-5 libqt5quicktest5 libqt5quickwidgets5 libqt5script5
  libqt5scripttools5 libqt5sensors5 libqt5sql5 libqt5sql5-mysql libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5webchannel5 libqt5webkit5
  libqt5widgets5 libqt5x11extras5 libqt5x11extras5-dev libqt5xml5 libqt5xmlpatterns5 libqt5xmlpatterns5-dev qdbus-qt5
  qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtgraphicaleffects qml-module-qtmultimedia
  qml-module-qtqml-models2 qml-module-qtquick-controls qml-module-qtquick-controls2 qml-module-qtquick-dialogs qml-module-qtquick-layouts
  qml-module-qtquick-privatewidgets qml-module-qtquick-templates2 qml-module-qtquick-window2 qml-module-qtquick2 qml-module-qtwebkit
  qt5-assistant qt5-qmake qt5-qmake-bin qt5-qmltooling-plugins qtbase5-dev qtbase5-dev-tools qtdeclarative5-dev qtscript5-dev
  qttools5-dev-tools
The following packages will be upgraded:
  debhelper libnspr4 libnss3 moreutils qt5-default
5 upgraded, 0 newly installed, 0 to remove and 61 not upgraded.

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck